Bug 1128247 - [abrt] evince: gray_find_cell(): evince killed by SIGABRT
Summary: [abrt] evince: gray_find_cell(): evince killed by SIGABRT
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2eda765a1f532c0bac284cd8d31...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 16:53 UTC by Joachim Frieben
Modified: 2015-11-04 15:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 15:52:01 UTC


Attachments (Terms of Use)
File: backtrace (124.93 KB, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: core_backtrace (74.38 KB, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: dso_list (10.80 KB, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: environ (1.70 KB, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: maps (57.60 KB, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: open_fds (1.99 KB, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details
File: var_log_messages (1.43 KB, text/plain)
2014-08-08 16:54 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2014-08-08 16:53:55 UTC
Version-Release number of selected component:
evince-3.13.3.1-3.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evince 1742-6596_91_1_012002.pdf
crash_function: gray_find_cell
executable:     /usr/bin/evince
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 gray_find_cell at /usr/src/debug/freetype-2.5.3/src/smooth/ftgrays.c:567
 #7 gray_record_cell at /usr/src/debug/freetype-2.5.3/src/smooth/ftgrays.c:587
 #9 gray_set_cell at /usr/src/debug/freetype-2.5.3/src/smooth/ftgrays.c:630
 #10 gray_render_line at /usr/src/debug/freetype-2.5.3/src/smooth/ftgrays.c:833
 #11 gray_line_to at /usr/src/debug/freetype-2.5.3/src/smooth/ftgrays.c:1200
 #12 FT_Outline_Decompose at /usr/src/debug/freetype-2.5.3/src/base/ftoutln.c:161
 #13 gray_convert_glyph_inner at /usr/src/debug/freetype-2.5.3/src/smooth/ftgrays.c:1790
 #14 gray_convert_glyph at /usr/src/debug/freetype-2.5.3/src/smooth/ftgrays.c:1893
 #15 ft_smooth_render_generic at /usr/src/debug/freetype-2.5.3/src/smooth/ftsmooth.c:315
 #16 FT_Render_Glyph_Internal at /usr/src/debug/freetype-2.5.3/src/base/ftobjs.c:4075

Potential duplicate: bug 1116476

Comment 1 Joachim Frieben 2014-08-08 16:54:00 UTC
Created attachment 925220 [details]
File: backtrace

Comment 2 Joachim Frieben 2014-08-08 16:54:01 UTC
Created attachment 925221 [details]
File: cgroup

Comment 3 Joachim Frieben 2014-08-08 16:54:04 UTC
Created attachment 925222 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2014-08-08 16:54:05 UTC
Created attachment 925223 [details]
File: dso_list

Comment 5 Joachim Frieben 2014-08-08 16:54:06 UTC
Created attachment 925224 [details]
File: environ

Comment 6 Joachim Frieben 2014-08-08 16:54:08 UTC
Created attachment 925225 [details]
File: limits

Comment 7 Joachim Frieben 2014-08-08 16:54:10 UTC
Created attachment 925227 [details]
File: maps

Comment 8 Joachim Frieben 2014-08-08 16:54:11 UTC
Created attachment 925228 [details]
File: open_fds

Comment 9 Joachim Frieben 2014-08-08 16:54:12 UTC
Created attachment 925229 [details]
File: proc_pid_status

Comment 10 Joachim Frieben 2014-08-08 16:54:13 UTC
Created attachment 925230 [details]
File: var_log_messages

Comment 11 Igor Bukanov 2014-12-15 17:46:19 UTC
Another user experienced a similar problem:

I tries to start Evince via clicking on PDF in a filebrowser.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        evince /home/igor/Private/travel/lubava-hotel-copenhagen.pdf
crash_function: gray_find_cell
executable:     /usr/bin/evince
kernel:         3.17.6-300.fc21.x86_64
package:        evince-3.14.1-3.fc21
reason:         evince killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1973

Comment 12 汪明衡 2015-04-12 15:33:34 UTC
Another user experienced a similar problem:

It suddenly crashed after I opened a pdf document, but no more after that.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        evince /home/ifoolb/Downloads/592280_354132479.html.pdf
crash_function: gray_find_cell
executable:     /usr/bin/evince
kernel:         3.18.7-200.fc21.x86_64
package:        evince-3.14.2-2.fc21
reason:         evince killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1002

Comment 13 Fedora End Of Life 2015-11-04 11:05:34 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Joachim Frieben 2015-11-04 15:52:01 UTC
Fixed in Fedora 22.


Note You need to log in before you can comment on or make changes to this bug.